SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
SLNet::EmailSender Class Reference

Rudimentary class to send email from code. More...

`#include <slikenet/EmailSender.h>`

## Public Member Functions

const char * | Send (const char *hostAddress, unsigned short hostPort, const char *sender, const char *recipient, const char *senderName, const char *recipientName, const char *subject, const char *body, FileList *attachedFiles, bool doPrintf, const char *password)
| Sends an email.

## Protected Member Functions

const char * | GetResponse (TCPInterface *tcpInterface, const SystemAddress &emailServer, bool doPrintf)

## Protected Attributes

RakNetRandom | rakNetRandom

## Detailed Description

Rudimentary class to send email from code.

Definition at line 39 of file EmailSender.h.

## Member Function Documentation

const char* SLNet::EmailSender::GetResponse | ( | TCPInterface * | tcpInterface,
|  | const SystemAddress & | emailServer,
|  | bool | doPrintf
| ) |  |

protected

const char* SLNet::EmailSender::Send | ( | const char * | hostAddress,
|  | unsigned short | hostPort,
|  | const char * | sender,
|  | const char * | recipient,
|  | const char * | senderName,
|  | const char * | recipientName,
|  | const char * | subject,
|  | const char * | body,
|  | FileList * | attachedFiles,
|  | bool | doPrintf,
|  | const char * | password
| ) |  |

Sends an email.

Parameters

  [in] | hostAddress | The address of the email server.
  [in] | hostPort | The port of the email server (usually 25)
  [in] | sender | The email address you are sending from.
  [in] | recipient | The email address you are sending to.
  [in] | senderName | The email address you claim to be sending from
  [in] | recipientName | The email address you claim to be sending to
  [in] | subject | Email subject
  [in] | body | Email body
  [in] | attachedFiles | List of files to attach to the email. (Can be 0 to send none).
  [in] | doPrintf | true to output SMTP info to console(for debugging?)
  [in] | password | Used if the server uses AUTHENTICATE PLAIN over TLS (such as gmail)

Returns
  0 on success, otherwise a string indicating the error message

## Member Data Documentation

RakNetRandom SLNet::EmailSender::rakNetRandom

protected

Definition at line 62 of file EmailSender.h.

The documentation for this class was generated from the following file:

- Source/include/slikenet/EmailSender.h